<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MCodingInfoISO2022</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MCodingInfoISO2022<br/>
<small>
[<a class="el" href="group__m17nConv.html">コード変換</a>]</small>
</h1><!-- doxytag: class="MCodingInfoISO2022" -->
<p><a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaca427c661acd5ba630316fe2d925987e">MCODING_TYPE_ISO_2022</a> タイプのコード系で必要な付加情報用構造体.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoISO2022.html#a63a338d45583142ffde67f198800ee14">initial_invocation</a> [2]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoISO2022.html#a4be0028b715d0b598ecb10b11f592ea1">designations</a> [32]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoISO2022.html#a44a648a1bc5fb91e704593f1416ab62c">flags</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p><a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaca427c661acd5ba630316fe2d925987e">MCODING_TYPE_ISO_2022</a> タイプのコード系で必要な付加情報用構造体. </p>
<p>MCODING_TYPE_ISO_2022 タイプのコード系で必要な付加情報用を保持するための構造体。</p>
 <hr/><h2>構造体</h2>
<a class="anchor" id="a63a338d45583142ffde67f198800ee14"></a><!-- doxytag: member="MCodingInfoISO2022::initial_invocation" ref="a63a338d45583142ffde67f198800ee14" args="[2]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMCodingInfoISO2022.html#a63a338d45583142ffde67f198800ee14">MCodingInfoISO2022::initial_invocation</a>[2]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>各図形文字領域 (Graphic Left と Graphic Right) に呼び出されている、 ISO2022 符合拡張要素の番号のテーブル。-1 はその領域にどの符合拡張要素も呼び出されていないことを示す。 </p>

</div>
</div>
<a class="anchor" id="a4be0028b715d0b598ecb10b11f592ea1"></a><!-- doxytag: member="MCodingInfoISO2022::designations" ref="a4be0028b715d0b598ecb10b11f592ea1" args="[32]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char <a class="el" href="structMCodingInfoISO2022.html#a4be0028b715d0b598ecb10b11f592ea1">MCodingInfoISO2022::designations</a>[32]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>符合拡張要素のテーブル。N番目の要素は、<b>charset_names</b> の N 番目の文字セットに対応する。<b>charset_names</b> は関数 <a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c" title="コード系を定義する.">mconv_define_coding()</a> の引数となる。</p>
<p>値が 0..3 だったら、対応する文字セットを G0..G3 のそれぞれに指示すること、また初期状態ですでに G0..G3 に指示されていることを意味する。</p>
<p>値が -4..-1 だったら、対応する文字セットを G0..G3 のそれぞれに指示すること、しかし初期状態ではどこにも指示されていないことを意味する。 </p>

</div>
</div>
<a class="anchor" id="a44a648a1bc5fb91e704593f1416ab62c"></a><!-- doxytag: member="MCodingInfoISO2022::flags" ref="a44a648a1bc5fb91e704593f1416ab62c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMCodingInfoISO2022.html#a44a648a1bc5fb91e704593f1416ab62c">MCodingInfoISO2022::flags</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><code>enum</code> <code>MCodingFlagISO2022</code> のビット単位での論理 OR </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
